Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Distance US Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"dus", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletDistanceUS\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 10 seconds (10000ms)", "*)"}],
   RowBox[{"dus", "@", RowBox[{"SetDebouncePeriod", "[", "10000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for distance value reached callback", "*)"}],
   RowBox[{RowBox[{"DistanceReachedCB", "[", RowBox[{"sender_", ",", "distance_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Distance Value: \>\"", "<>", RowBox[{"ToString", "[", "distance", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"dus", "@", "DistanceReachedCallback"}], ",", "DistanceReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for distance value ", "\"\<smaller than 200\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletDistanceUS`THRESHOLDUOPTIONUSMALLER"}],
   RowBox[{"dus", "@", RowBox[{"SetDistanceCallbackThreshold", "[", RowBox[{"option", ",", "200", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "dus", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
