Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Laser Range Finder Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"lrf", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletLaserRangeFinderV2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Turn laser on and wait 250ms for very first measurement to be ready", "*)"}],
   RowBox[{"lrf", "@", RowBox[{"SetEnable", "[", "True", "]"}]}],
   RowBox[{"Pause", "[", "0.25", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current distance", "*)"}],
   RowBox[{"Print", "[", RowBox[{"\"\<Distance: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{RowBox[{"lrf", "@", RowBox[{"GetDistance", "[", "]"}]}], ",", "\"\<cm\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Turn laser off", "*)"}],
   RowBox[{"lrf", "@", RowBox[{"SetEnable", "[", "False", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "lrf", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
