Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"(*", "For this example connect the RX+/- pins to TX+/- pins on the same Bricklet", "*)"}],
   RowBox[{"(*", "and configure the DIP switch on the Bricklet to full-duplex mode", "*)"}],
   RowBox[{"
"}],
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your RS485 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rs485", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRS485\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Enable full-duplex mode", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"SetRS485Configuration", "[", RowBox[{"115200", ",", "Tinkerforge`BrickletRS485`PARITYUNONE", ",", RowBox[{"\[IndentingNewLine]", "Tinkerforge`BrickletRS485`STOPBITSU1"}], ",", RowBox[{"\[IndentingNewLine]", "Tinkerforge`BrickletRS485`WORDLENGTHU8"}], ",", RowBox[{"\[IndentingNewLine]", "Tinkerforge`BrickletRS485`DUPLEXUFULL"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for read callback", "*)"}],
   RowBox[{RowBox[{"ReadCB", "[", RowBox[{"sender_", ",", "message_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Message: \>\"", "<>", RowBox[{"FromCharacterCode", "[", "message", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rs485", "@", "ReadCallback"}], ",", "ReadCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Enable read callback", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"EnableReadCallback", "[", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Write ", "\"\<test\>\"", " string", "*)"}],
   RowBox[{"(*", "FIXME: This call crashes Mono with a SIGSEGV, no clue why", "*)"}],
   RowBox[{"rs485", "@", RowBox[{"Write", "[", RowBox[{"ToCharacterCode", "[", "\"\<test\>\"", "]"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rs485", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
