Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Rotary Poti Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rp", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRotaryPotiV2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for position callback", "*)"}],
   RowBox[{RowBox[{"PositionCB", "[", RowBox[{"sender_", ",", "position_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Position: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"position", ",", "\"\<\.b0\>\""}], "]"}], "]"}], "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"rp", "@", "PositionCallback"}], ",", "PositionCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for position callback to 0.25s (250ms) without a threshold", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletRotaryPotiV2`THRESHOLDUOPTIONUOFF"}],
   RowBox[{"rp", "@", RowBox[{"SetPositionCallbackConfiguration", "[", RowBox[{"250", ",", "False", ",", "option", ",", "0", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rp", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
