Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Voltage/Current Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"vc", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletVoltageCurrentV2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for power callback", "*)"}],
   RowBox[{RowBox[{"PowerCB", "[", RowBox[{"sender_", ",", "power_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<power: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"power", ",", "\"\<W/1000\>\""}], "]"}], "]"}], "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"vc", "@", "PowerCallback"}], ",", "PowerCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for power ", "\"\<greater than 10 W\>\"", "", "*)"}],
   RowBox[{"(*", "with a debounce period of 1s (1000ms)", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletVoltageCurrentV2`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"vc", "@", RowBox[{"SetPowerCallbackConfiguration", "[", RowBox[{"1000", ",", "False", ",", "option", ",", RowBox[{"10", "*", "1000"}], ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "vc", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
